<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/TipsAndTricks/NTFS</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/TipsAndTricks/NTFS</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BWYJPVWObjwlOAFAL_NTFS_.2BapRoSHz7fXE-">如何掛載一個 NTFS 檔案系統</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line862">[註：假若你應用的是一個 centosplus 內核、閱讀<a href="./zh(2d)tw(2f)TipsAndTricks(2f)NTFS.html#note_for_cplus">這部份</a>] <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="A.2BW4mI3WJAlwB2hFlXTvY-">1. 安裝所需的套件</h2>
<span class="anchor" id="line-8"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 雖然舊版的 ntfs 在讀寫模式下很容易會吃掉你的資料，ntfs-3g 似乎能安全地進行讀寫。詳情見 <a class="https" href="https://www.tuxera.com/community/open-source-ntfs-3g/">ntfs-3g 的網頁</a>。 <span class="anchor" id="line-9"></span><span class="anchor" id="line-10"></span><p class="line867"><strong>EPEL</strong> 軟件庫收錄了適用於 <strong>CentOS-7</strong> 及 <strong>CentOS-6</strong> 的 ntfs-3g 套件。若要安裝，請按照 <a href="./zh(2d)tw(2f)Repositories.html">軟件庫</a> 頁的指引啟用 EPEL 軟件庫： <span class="anchor" id="line-11"></span>{{{yum install ntfs-3g fuse <span class="anchor" id="line-12"></span>}}} <span class="anchor" id="line-13"></span>如果你選擇讓 EPEL 預設為停用的 <span class="anchor" id="line-14"></span>{{{yum --enablerepo epel install ntfs-3g fuse <span class="anchor" id="line-15"></span>}}} <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line874">你也許會想執行 <span class="anchor" id="line-18"></span>{{{yum install ntfsprogs ntfsprogs-gnomevfs <span class="anchor" id="line-19"></span>}}} <span class="anchor" id="line-20"></span>來加入額外功能。譬如說，利用 ntfsclone 複製 ntfs 分割區，選擇性地增加空間。ntfsprogs-gnomevfs 只適用於 CentOS-6。 <span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line867">
<h2 id="A.2BY5uPCU4AUAs_NTFS_.2BapRoSHz7fXE-">2. 掛載一個 NTFS 檔案系統</h2>
<span class="anchor" id="line-23"></span><p class="line862">假設你的 ntfs 檔案系統是 <tt class="backtick">/dev/sda1</tt> 而你將會把它掛載在 <tt class="backtick">/mymnt/win</tt>，請執行以下步驟。 <span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line874">首先，建立掛載點。 <span class="anchor" id="line-26"></span>{{{mkdir /mymnt/win <span class="anchor" id="line-27"></span>}}} <span class="anchor" id="line-28"></span>之後，<strong>編輯</strong> <tt class="backtick">/etc/fstab</tt> 如下。要唯讀式掛載： <span class="anchor" id="line-29"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-30"></span>}}} <span class="anchor" id="line-31"></span>要讀寫式掛載： <span class="anchor" id="line-32"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  rw,umask=0000,defaults 0 0 <span class="anchor" id="line-33"></span>}}} <span class="anchor" id="line-34"></span>現在你可以進行掛載。執行： <span class="anchor" id="line-35"></span>{{{mount /mymnt/win <span class="anchor" id="line-36"></span>}}} <span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><p class="line867">
<h2 id="centosplus_.2BUWdoOHaEdShiNg-">3. centosplus 內核的用戶</h2>
<span class="anchor" id="line-39"></span><p class="line867"><span class="anchor" id="note_for_cplus"></span> <span class="anchor" id="line-40"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 由 CentOS-5.3 開始，centoplus（<a href="./zh(2d)tw(2f)Repositories(2f)CentOSPlus.html">zh-tw/Repositories/CentOSPlus</a>）內核沒有啟用 NTFS 模塊。這是由於 5.3 內的 NTFS 是不能運作的。詳情請參閱 <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=481495">https://bugzilla.redhat.com/show_bug.cgi?id=481495</a> 。如困你希望使用來自 CentOS 內核的 NTFS 模塊，你可以安裝來自<a class="http" href="http://elrepo.org">ELRepo 計劃</a>的 <strong>kmod-ntfs</strong>。然而，有別於 ntfs-3g，附屬內核的 ntfs 模塊只提供極度有限的<strong>寫入</strong>功能。以下文字來自內核的 Kconfig 檔案（多謝 <a href="./AlanBartlett.html">AlanBartlett</a> 提供這資料）： <span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><p class="line874">「唯一被支援的運作是在不更改長度的情況下重寫現存檔案。建立檔案及目錄，或者將它們刪除和改名都不可能。請注意，只有非常註的檔案才可以被寫入，因此你可能會發現無法把資料寫入一些很細小（小於 500 字元左右）的檔案內。」 <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line862">以下描述適用於 <strong>CentOS 5.2 或更舊版本</strong>。 <span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line862">在 CentOSPlus 內核，ntfs 及 fuse <strong>內核模塊</strong>都同時被啟用。ntfs 與 ntfs-3g 之間的主要差別就是前者是唯讀的，而後者可讀寫。因此，你若不需要權限來寫入 ntfs 檔案系統，便不用安裝額外的套件。你只需在 <tt class="backtick">/etc/fstab</tt> 內加入這行： <span class="anchor" id="line-47"></span>{{{/dev/sda1       /mymnt/win   ntfs  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-48"></span>}}} <span class="anchor" id="line-49"></span>假若你想有讀寫權限，你便需要 fuse-ntfs-3g 套件，但由於 fuse 模塊已經由內核提供，因此你不需要 dkms 套件： <span class="anchor" id="line-50"></span>{{{yum install fuse fuse-ntfs-3g <span class="anchor" id="line-51"></span>}}} <span class="anchor" id="line-52"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> <strong>然而</strong>，CentOS 5 內所包含的 fuse 模塊（截至 2007 年 8 月）產生一個信息：WARNING: Deficient FUSE kernel module detected。它依然可以操作，但我們建議使用 RPMforge 內（較新）的模塊。此外，你應該升級至不含這個問題的最新內核。 <span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><p class="line874">因此，執行： <span class="anchor" id="line-55"></span>{{{yum install fuse fuse-ntfs-3g dkms dkms-fuse <span class="anchor" id="line-56"></span>}}} <span class="anchor" id="line-57"></span>以 RPMforge 內的 fuse 內核模塊取代現有版本。 <span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-60"></span>另外請參閱： <span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><p class="line867"><a class="http" href="http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume">http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume</a> （唯讀式掛載） <span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-65"></span>這頁的英文版本由 <a href="./AkemiYagi.html">AkemiYagi</a> 撰寫。歡迎各位作出修改。 <span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><p class="line867"><small>Translation of revision 54</small> <span class="anchor" id="line-68"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
